applications/consolidated_report/urls.py
from django.urls import path

from .views.consolidated_report_view import ConsolidatedReportDetails, ConsolidatedReportList, ConsolidatedReportListJson, ConsolidatedReportPrint, ConsolidatedReportPDF # call the view classes here

app_name = 'consolidated-reports'
urlpatterns = [
    path('details/', ConsolidatedReportDetails.as_view(), name='details'),
    path('datalist/', ConsolidatedReportListJson.as_view(), name='datalist'),
    path('list/', ConsolidatedReportList.as_view(), name='list'),
    path('print-preview/', ConsolidatedReportPrint.as_view(), name='print-preview'),
    path('print/', ConsolidatedReportPDF.as_view(), name='print'),
]

applications/users/urls.py
from django.contrib import admin
from django.urls import path, include
from .views.users_view import UserLoginView, UserLogoutView, UserDashboardView, UserPasswordUpdate, UserProfileDetails, UserProfileUpdate


app_name = "users"

urlpatterns = [
    path('', UserLoginView.as_view(),name='login'),
    path('logout/', UserLogoutView.as_view(), name='logout'),
    path('dashboard/', UserDashboardView.as_view(), name='dashboard'),
    path('password/', UserPasswordUpdate.as_view(), name='password'),
    path('profile/', UserProfileDetails.as_view(), name='profile'),
    path('profile/edit/', UserProfileUpdate.as_view(), name='update'),
]

pathotrack/urls.py
from django.contrib import admin
from django.urls import include,path
import tinymce.urls
from django.conf.urls.static import static # new
from . import settings

 

urlpatterns = [
    path('admin/', admin.site.urls),
    path('patients/', include('applications.patient_registration.urls', namespace='patients')), #every app should be added as `applications.<app name>.urls`
    path('users/', include('applications.users.urls', namespace='users')), 
    path('', include('applications.users.urls', namespace='users')), 
    path('reports/general/', include('applications.general_report.urls', namespace='general-reports')),
    path('reports/cap/', include('applications.cap_report.urls', namespace='cap-reports')),
    path('reports/consolidated/', include('applications.consolidated_report.urls', namespace='consolidated-reports')),
    path('tinymce/', include('tinymce.urls')),
]


if settings.DEBUG: # new
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

pathotrack/templates/pathotrack/layout/partials/footer.html
<footer class="footer footer-transparent">
  <div class="container">
    <div class="row text-center align-items-center flex-row-reverse">
      <div class="col-lg-auto ml-lg-auto">
        <ul class="list-inline list-inline-dots mb-0">
          <li class="list-inline-item"><a href="" target="_blank" class="link-secondary">Source Code</a></li>
        </ul>
      </div>
      <div class="col-12 col-lg-auto mt-3 mt-lg-0">
        Powered by
        <a href="https://alphafork.com" class="link-secondary" target="_blank">Alpha Fork Technologies</a>
      </div>
    </div>
  </div>
</footer>

pathotrack/templates/pathotrack/layout/partials/messages.html
{% for message in messages %}

<div class="alert {{ message.tags }} alert-dismissible" role="alert">
    {{ message }}
    <a href="#" data-dismiss="alert" aria-label="close" style="right: 0;position: absolute; margin-right: 1em;">&times;</a>
  </div>

{% endfor %}

pathotrack/templates/pathotrack/layout/partials/top-bar.html
<header class="navbar navbar-expand-md navbar-light">
  <div class="container-xl">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-menu">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a href={% url 'users:dashboard' %} class="navbar-brand navbar-brand-autodark d-none-navbar-horizontal pr-0 pr-md-3">
      <img src="./static/logo.svg" alt="Pathotrack" class="navbar-brand-image">
    </a>
    <div class="navbar-nav flex-row order-md-last">
      <div class="nav-item dropdown">
        <a href="#" class="nav-link d-flex lh-1 text-reset p-0" data-toggle="dropdown">
          <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-user" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
            <path stroke="none" d="M0 0h24v24H0z"/>
            <circle cx="12" cy="7" r="4" />
            <path d="M6 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" />
          </svg>
          <div class="d-none d-xl-block pl-2">
              <div>{{ request.user }}</div>
            <div class="mt-1 small text-muted">Staff</div>
          </div>
        </a>

        <div class="dropdown-menu dropdown-menu-right">
          <a class="dropdown-item" href="{% url 'users:profile' %}">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-man" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <circle cx="12" cy="5" r="2" />
              <path d="M10 22v-5l-1-1v-4a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v4l-1 1v5" />
            </svg>
            Profile
          </a>

          <a class="dropdown-item" href="{% url 'users:update' %}">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-settings" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M10.325 4.317c.426-1.756 2.924-1.756 3.35 0a1.724 1.724 0 0 0 2.573 1.066c1.543-.94 3.31.826 2.37 2.37a1.724 1.724 0 0 0 1.065 2.572c1.756.426 1.756 2.924 0 3.35a1.724 1.724 0 0 0 -1.066 2.573c.94 1.543-.826 3.31-2.37 2.37a1.724 1.724 0 0 0 -2.572 1.065c-.426 1.756-2.924 1.756-3.35 0a1.724 1.724 0 0 0 -2.573 -1.066c-1.543.94-3.31-.826-2.37-2.37a1.724 1.724 0 0 0 -1.065 -2.572c-1.756-.426-1.756-2.924 0-3.35a1.724 1.724 0 0 0 1.066 -2.573c-.94-1.543.826-3.31 2.37-2.37.996.608 2.296.07 2.572-1.065z" />
              <circle cx="12" cy="12" r="3" />
            </svg>
            Settings
          </a>

          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="{% url 'users:logout' %}">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-logout" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M14 8v-2a2 2 0 0 0 -2 -2h-7a2 2 0 0 0 -2 2v12a2 2 0 0 0 2 2h7a2 2 0 0 0 2 -2v-2" />
              <path d="M7 12h14l-3 -3m0 6l3 -3" />
            </svg>          Logout
          </a>
        </div>
      </div>
    </div>
  </div>
</header>

pathotrack/templates/pathotrack/layout/partials/top-menu.html
<div class="navbar-expand-md">
  <div class="navbar collapse navbar-collapse navbar-light" id="navbar-menu">
    <div class="container-xl">
      <ul class="navbar-nav">
          <li class="nav-item">
              <a class="nav-link" href="{% url 'users:dashboard'  %}" >
            <span class="nav-link-icon d-md-none d-lg-inline-block"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <polyline points="5 12 3 12 12 3 21 12 19 12" />
              <path d="M5 12v7a2 2 0 0 0 2 2h10a2 2 0 0 0 2 -2v-7" />
              <path d="M9 21v-6a2 2 0 0 1 2 -2h2a2 2 0 0 1 2 2v6" />
            </svg>
            </span>
            <span class="nav-link-title">
              Home
            </span>
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link" href="{% url 'patients:list'  %}" >
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-users" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <circle cx="9" cy="7" r="4" />
              <path d="M3 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" />
              <path d="M16 3.13a4 4 0 0 1 0 7.75" />
              <path d="M21 21v-2a4 4 0 0 0 -3 -3.85" />
            </svg>
            <span class="nav-link-title">
              Patients
            </span>
          </a>
        </li>

        <li class="nav-item">
            <a class="nav-link" href="{% url 'consolidated-reports:list'  %}" >
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-file-text" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M14 3v4a1 1 0 0 0 1 1h4" />
              <path d="M17 21h-10a2 2 0 0 1 -2 -2v-14a2 2 0 0 1 2 -2h7l5 5v11a2 2 0 0 1 -2 2z" />
              <line x1="9" y1="9" x2="10" y2="9" />
              <line x1="9" y1="13" x2="15" y2="13" />
              <line x1="9" y1="17" x2="15" y2="17" />
            </svg>
            <span class="nav-link-title">
              Reports
            </span>
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>